Flambe docs

Resolve a share link

Resolves a share token to the resource it points at. **Unauthenticated** — this is what renders `https://flambe.dev/share/{token}` for a recipient who has no Flambe account.

GET
/api/shared/{token}

Resolves a share token to the resource it points at. Unauthenticated — this is what renders https://flambe.dev/share/{token} for a recipient who has no Flambe account.

Path Parameters

token*string

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/api/shared/string"
{  "resource_type": "recipe",  "resource": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "user_id": "string",    "title": "Brown Butter Chocolate Chip Cookies",    "subtitle": "string",    "description": "string",    "notes": "",    "tags": [      "dessert",      "cookies"    ],    "ingredients": [      {        "name": "all-purpose flour",        "quantity": 2.5,        "unit": "cups",        "preparation": "sifted",        "isOptional": false      }    ],    "components": [      {        "title": "Brown butter frosting",        "description": "string",        "notes": "string",        "ingredients": [          {            "name": "all-purpose flour",            "quantity": 2.5,            "unit": "cups",            "preparation": "sifted",            "isOptional": false          }        ],        "instructions": [          "string"        ]      }    ],    "instructions": [      "string"    ],    "media": [      {        "file_id": "8a0cfb4f-ddc9-436d-91bb-75133c583767",        "url": "http://example.com",        "blur_hash": "string",        "width": 0,        "height": 0,        "kind": "image"      }    ],    "blur_hash": "string",    "prep_time": 20,    "cook_time": 12,    "servings": 24,    "difficulty": "easy",    "rating": 0,    "source_section": "string",    "nutrition": {      "calories": 0,      "protein_g": 0,      "fat_g": 0,      "carbs_g": 0,      "fiber_g": 0,      "sugar_g": 0,      "sodium_mg": 0,      "per": "serving",      "computed_at": "2019-08-24T14:15:22Z",      "ingredients_hash": "string"    },    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  }}